/*
Theme Name: GP Developer Child Theme
Template: generatepress
Description: This is a child theme for GeneratePress for use in jumpstarting more customized development.
Version: 1.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: gpc
Tags: two-columns, three-columns, one-column, right-sidebar, left-sidebar, fluid-layout, fixed-layout, responsive-layout, flexible-header, full-width-template, buddypress, custom-header, custom-background, custom-menu, custom-colors, sticky-post, threaded-comments, translation-ready, featured-images, theme-options, light, white, dark, black, blue, brown, gray, green, orange, pink, purple, red, silver, tan, yellow
*/

/* Scrollbar style */
body::-webkit-scrollbar {
  width: 15px;               /* width of the entire scrollbar */
}
body::-webkit-scrollbar-track {
  background: #ff0707;        /* color of the tracking area */
}
body::-webkit-scrollbar-thumb {
  background-color: #fff;     /* color of the scroll thumb */
  border-radius: 20px;       /* roundness of the scroll thumb */
  border: 3px solid #ff0707;  /* creates padding around scroll thumb */
}

body, html {
    font-family: 'Montserrat', sans-serif;
}

body.home {
	overflow-x: hidden;
}

.copyright-bar {
	font-weight:600;
	font-size:18px;
}

.home-header {
	font-weight:700;
	font-size:60px;
	margin-bottom:40px;
}

.wp-block-column.is-vertically-aligned-top.block-home-one {
	margin-top:80px;
	min-height: 920px;
	    z-index: 1;
}

.wp-block-buttons>.wp-block-button.has-custom-width.button-kontakt {
	font-weight:600;
	margin-top:40px;
}

.wp-block-buttons>.wp-block-button.has-custom-width.button-kontakt .wp-element-button {
	padding: 20px 40px;
}

.home-content-one {
	font-weight:600;
}

.nav-below-header .main-navigation .inside-navigation.grid-container {
	display:none!important;
}

.home.one-container .site-content {
	padding-bottom:0;
}

.home .wp-block-image {
    margin: 0;
}

.wp-container-core-columns-is-layout-2.wp-container-core-columns-is-layout-2.home-bottom {
	margin-bottom:0;
}

.block-home-two {
	position: absolute;
    top: 30px;
    right: -80px;
	    z-index: 0;
}

.home-bottom .wp-block-column ul {
	display:flex;
	list-style:none;
	margin:0;
	align-items:center;
	justify-content: space-evenly;
	background:#cb1111;
	color:#fff;
	padding: 30px 40px;
min-height: 130px;
	gap:30px;
	flex-wrap:wrap;
}
.wpcf7-form-control-wrap {
    position: relative;
    margin-top: 10px;
    display: block;
}

.wpcf7-form label {
	font-size: 22px;
	font-weight:700;
}

.wpcf7-form {
	max-width: 800px;
    margin: 0 auto;

}

.wpcf7-form input {
	width:100%;
}

input[type="submit"] {
	background:#cb1111;
	color#fff;
	font-weight:700;
	padding: 15px 40px;
	font-size: 20px;
}

input[type="submit"]:hover,
.wp-block-buttons>.wp-block-button.has-custom-width.button-kontakt .wp-element-button:hover {
	background:#732121;
}

.home-bottom .wp-block-column ul li {
	margin:0;
	font-weight:600;
	font-size:28px;
}

.home .entry-content {
    margin: 0;
	text-align:center;
}

.wp-container-core-columns-is-layout-1.wp-container-core-columns-is-layout-1 {
	max-width:1240px;
	margin: 0 auto;
}

.entry-header {
    display: none;
}

body .site-header {
    background-image: url('./images/2kbg.jpg');
    background-image: -webkit-image-set(url('./images/2kbg.webp') 1x);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
	background-color: #cb1111;
}

@media only screen and (max-width: 1920px) {
    body .site-header {
        background-image: url('./images/fullhdbg.jpg');
        background-image: -webkit-image-set(url('./images/fullhdbg.webp') 1x,url('./images/2kbg.webp') 2x);
    }
}

@media only screen and (max-width: 1440px) {
    .wp-block-column.is-vertically-aligned-top.block-home-one {
       min-height: 720px;
    }
	.home-header {
      font-size: 46px;
      margin-bottom: 30px;
    }
	.home-content-one {
		font-size: 30px!important;
	}
	.wp-block-buttons>.wp-block-button.has-custom-width.button-kontakt {
        font-weight: 600;
        margin-top: 20px;
    }
}

@media only screen and (max-width: 1024px) {
   .block-home-two {
       position: relative;
       top: 0;
       right: 0;
	}
	.wp-block-column.is-vertically-aligned-top.block-home-one {
        min-height: unset;
    }
	.wp-container-core-columns-is-layout-1.wp-container-core-columns-is-layout-1 {
		flex-direction:column;
	}
}

@media only screen and (max-width: 430px) {
   .home-header {
        font-size: 36px;
    }
	.home-content-one {
        font-size: 26px !important;
    }
	.wp-block-buttons>.wp-block-button.has-custom-width.button-kontakt .wp-element-button {
        padding: 20px;
    }
	.home-bottom .wp-block-column ul li {
        font-size: 22px;
    }
}